REPODIFF(1)

NOM
repodiff – Redirection vers le greffon repodiff de DNF

Affichage d’une liste de différences entre deux dépôts ou plus.

SYNOPSIS

dnf repodiff [<options>]

DESCRIPTION

repodiff est un programme qui liste les différences entre deux ensembles de répertoires. Par défaut, seuls les paquets source sont comparés.

  Options

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --repo-old=ID_dépôt, -o ID_dépôt
        Ajout d’un ID_dépôt comme ancien dépôt. Cette option peut être utilisée en conjonction avec l’option --repofrompath et spécifiée plusieurs fois.

    --repo-new=ID_dépôt, -n ID_dépôt
        Ajout d’un ID_dépôt comme nouveau dépôt. Cette option peut être spécifiée plusieurs fois.

    --archlist=<arch>, -a <arch>
        Ajout d’architectures pour modifier le comportement qui consiste à ne comparer que les paquets source. Un joker « * » peut être utilisé pour prendre en compte toutes les architectures. Cette option peut être spécifiée plusieurs fois.

    --size, -s
        Affichage de données supplémentaires à propos de la taille des modifications.

    --compare-arch
        Normalement les paquets sont comparés en ne se basant que sur leur nom ; cette option fait que la comparaison se base aussi sur l’architecture. Aussi, toto.noarch et toto.x86_64 sont considérés comme des paquets différents.

    --simple
        Afficher un message simple d’une seule ligne pour les paquets modifiés.

    --downgrade
        Séparation des paquets modifiés entre ceux mis à niveau et ceux dépréciés.

EXEMPLES

Comparaison de paquets source dans deux dépôts locaux :

            dnf repodiff --repofrompath=o,/tmp/ancien_dépôt --repofrompath=n,/tmp/nouveu_dépôt --repo-old=o --repo-new=n

Comparaison de paquets binaires compatibles avec x86_64 entre deux dépôts distants et deux dépôts locaux :

            dnf repodiff --repofrompath=o,http://example.com/ancien_dépôt --repofrompath=n,http://example.com/nouveau_dépôt --repo-old=o --repo-new=n --archlist=x86_64

Comparaison de paquets binaires compatibles avec x86_64, mais aussi selon l’architecture :

            dnf repodiff --repofrompath=o,http://example.com/ancien_dépôt --repofrompath=n,http://example.com/nouveau_dépôt --repo-old=o --repo-new=n --archlist=x86_64 --compare-arch

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNS.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.